Flow board move requiring allowCreation fails on zh.wp
Closed, ResolvedPublic

Description

The "Create Flow boards in any location" permission is required to move a Flow board. I'm supposed to have it, and it seems not to work on zh.wp.

That's a little problem, because I use that permission to solve problems when people want to have their Flow talk page on a sub-page or for other cases (like T117432 or T113701)


2016-03-04 20:06:30 mw1172 zhwiki 1.27.0-wmf.15 exception ERROR: [b1c3250e] /wiki/User_talk:Nbfreeh/Flow_%E5%AD%98%E6%A1%A3_1?uselang=en   Flow\Exception\InvalidInputException from line 128 of /srv/mediawiki/php-1.27.0-wmf.15/extensions/Flow/includes/WorkflowLoaderFactory.php: Flow workflow is for different page {"exception_id":"b1c3250e"} 
[Exception Flow\Exception\InvalidInputException] (/srv/mediawiki/php-1.27.0-wmf.15/extensions/Flow/includes/WorkflowLoaderFactory.php:128) Flow workflow is for different page
  #0 /srv/mediawiki/php-1.27.0-wmf.15/extensions/Flow/includes/WorkflowLoaderFactory.php(101): Flow\WorkflowLoaderFactory->loadWorkflowById(Title, Flow\Model\UUID)
  #1 /srv/mediawiki/php-1.27.0-wmf.15/extensions/Flow/includes/Actions/Action.php(93): Flow\WorkflowLoaderFactory->createWorkflowLoader(Title)
  #2 /srv/mediawiki/php-1.27.0-wmf.15/extensions/Flow/includes/Actions/ViewAction.php(16): Flow\Actions\FlowAction->showForAction(string, OutputPage)
  #3 /srv/mediawiki/php-1.27.0-wmf.15/extensions/Flow/includes/Actions/Action.php(46): Flow\Actions\ViewAction->showForAction(string)
  #4 /srv/mediawiki/php-1.27.0-wmf.15/includes/MediaWiki.php(503): Flow\Actions\FlowAction->show()
  #5 /srv/mediawiki/php-1.27.0-wmf.15/includes/MediaWiki.php(288): MediaWiki->performAction(Article, Title)
  #6 /srv/mediawiki/php-1.27.0-wmf.15/includes/MediaWiki.php(738): MediaWiki->performRequest()
  #7 /srv/mediawiki/php-1.27.0-wmf.15/includes/MediaWiki.php(519): MediaWiki->main()
  #8 /srv/mediawiki/php-1.27.0-wmf.15/index.php(43): MediaWiki->run()
  #9 /srv/mediawiki/w/index.php(3): include(string)
  #10 {main}

Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald Transcript

It looks right:

mattflaschen@terbium:~$ mwrepl zhwiki
Welcome to HipHop Debugger!
Type "help" or "?" for a complete list of commands.

Program /srv/mediawiki-staging/multiversion/MWScript.php loaded. Type '[r]un' or '[c]ontinue' to go.
hphpd> continue
Program /srv/mediawiki-staging/multiversion/MWScript.php exited normally.
hphpd> var_export( User::newFromName( 'Trizek (WMF)' )->isAllowed( 'flow-create-board' ) );
var_export( User::newFromName( 'Trizek (WMF)' )->isAllowed( 'flow-create-board' ) );
true

This is probably because the are several things that can cause allowCreation to fail, but it wrongly assumes it was user rights.

Fixing the error handling now.

Mattflaschen-WMF renamed this task from "Create Flow boards in any location" permission lost on zh.wp to Flow board move fails on zh.wp.
Mattflaschen-WMF renamed this task from Flow board move fails on zh.wp to Flow board move requiring allowCreation fails on zh.wp.Feb 24 2016, 11:30 PM

Change 273414 had a related patch set uploaded (by Mattflaschen):
Better error handling and hook use for moves

https://gerrit.wikimedia.org/r/273414

Change 273414 merged by jenkins-bot:
Better error handling and hook use for moves

https://gerrit.wikimedia.org/r/273414

Etonkovidova added a subscriber: Etonkovidova.EditedMar 1 2016, 11:41 PM

Checked in betalabs on zh.wikipedia.beta.wmflabs.org:

  • a user with rights to move pages (e.g. Autoconfirmed) can move pages that are not Flow pages (checked on sub-pages too)
  • when a user without Flow bot rights attempts to move Flow page - the error message is still the same as in the ticket screenshot
  • a user with Flow bot rights (also needs Confirmed or Autoconfirmed rights) can move any page (checked with Flow subpages too)
Mattflaschen-WMF added a comment.EditedMar 2 2016, 1:03 AM

Those patches are to clean up and fix the status handling, use the new hooks, and hopefully make troubleshooting easier.

We still need to actually fix the zhwiki problem. We can either wait for 1.27.0-wmf.15 to roll out Thursday (probably OK), or cherry-pick the required fixes out. Then, they can try the move again and we'll check the error.

Checked in betalabs on zh.wikipedia.beta.wmflabs.org:

  • a user with rights to move pages (e.g. Autoconfirmed) can move pages that are not Flow pages (checked on sub-pages too)
  • when a user without Flow bot rights attempts to move Flow page - the error message is still the same as in the ticket screenshot
  • a user with Flow bot rights (also needs Confirmed or Autoconfirmed rights) can move any page (checked with Flow subpages too)

This raises two needs:

Catrope added a subscriber: Catrope.Mar 2 2016, 5:52 PM

This raises two needs:

  • A user with global-flow-create needs to be Confirmed or Autoconfirmed everywhere - and I'm not on zh.wp.

We could just give the global-flow-create group move rights. Someone should edit https://meta.wikimedia.org/wiki/Special:GlobalGroupPermissions/global-flow-create to add 'move'. (My staff account is able to do this, but probably shouldn't.)

Any reason why we wouldn't just give stewards that right?

Any reason why we wouldn't just give stewards that right?

This should not be necessary. There is already a permission exception for global renames which should now work (once T126389 it rolls out). See T126229#2013119 .

Any reason why we wouldn't just give stewards that right?

This should not be necessary. There is already a permission exception for global renames which should now work (once T126389 it rolls out). See T126229#2013119 .

Note that stewards will just assign it to the stewards group themselves, if asked to do so, per T126229#2008136

Trizek-WMF added a comment.EditedMar 3 2016, 10:43 AM

We could just give the global-flow-create group move rights. Someone should edit https://meta.wikimedia.org/wiki/Special:GlobalGroupPermissions/global-flow-create to add 'move'. (My staff account is able to do this, but probably shouldn't.)

I've filled a request on Meta
Edit: that group has now 'Move' rights.

We could just give the global-flow-create group move rights. Someone should edit https://meta.wikimedia.org/wiki/Special:GlobalGroupPermissions/global-flow-create to add 'move'. (My staff account is able to do this, but probably shouldn't.)

I've filled a request on Meta

Done. But please note that there's further granularization in move rights (moverootuserpages, etc.) so just move might be insufficient? If you encounter any issues, let us know. Best regards.

@Trizek-WMF Please try the original move again on zhwiki. If it fails, it should give you the real error now.

I've been able to move a test Board from one page to an other ("User talk:Trizek (WMF)/Flow test" has been moved to "User talk:Trizek (WMF)/Flow test 2").

I've discovered that this user talk page on Flow (on a sub page) is inaccessible:

Invalid value was provided for loading Flow content.
Return to Wikipedia:首页.
[f88f780f] 2016-03-04 15:54:52: Fatal exception of type "Flow\Exception\InvalidInputException"

It looks like the move got interrupted last time and partly completed..

That shouldn't be able to happen if the transactions are working right. I don't know if whatever caused this is still present now after the latest move changes (startAtomic, etc.).

We can work around this by changing workflow_title_text to 'Nbfreeh/Flow_存档_1':

UPDATE flow_workflow SET workflow_title_text = 'Nbfreeh/Flow_存档_1' WHERE workflow_page_id = 5061696' AND workflow_title_text = 'Nbfreeh';

I grepped through (zgrep Nbfreeh archive/exception.log) to see if I could find the original problem. I found:

archive/exception.log-20160116.gz:2016-01-15 10:16:06 mw1192 zhwiki exception ERROR: [d0269f25] /w/api.php?action=cirrus-suggest&format=json&text=Nbfreeh%3E+&limit=10   BadMethodCallException from line 397 of /srv/mediawiki/php-1.27.0-wmf.10/extensions/CirrusSearch/includes/CirrusSearch.php: Call to a member function getNamespace() on a non-object (NULL) {"exception_id":"d0269f25"} 
archive/exception.log-20160201.gz:2016-01-31 09:00:02 mw1202 zhwiki exception ERROR: [45630e65] /w/api.php?action=cirrus-suggest&format=json&text=user%3A%3CNbfreeh%3E&limit=10   BadMethodCallException from line 397 of /srv/mediawiki/php-1.27.0-wmf.10/extensions/CirrusSearch/includes/CirrusSearch.php: Call to a member function getNamespace() on a non-object (NULL) {"exception_id":"45630e65"}

and a bunch of "Flow workflow is for different page", but no sign of the original problem. It was probably a failed attempt to disable Flow via OptInController, though.

mysql:research@x1-analytics-slave [flowdb]> SELECT HEX(workflow_id), workflow_wiki, workflow_page_id, workflow_namespace, workflow_title_text, workflow_type FROM flow_workflow WHERE workflow_wiki = 'zhwiki' AND workflow_page_id = 5061696 OR (workflow_namespace = 3 AND workflow_title_text = 'Flow_存档_1') LIMIT 100;
+------------------------+---------------+------------------+--------------------+-----------------------+---------------+
| HEX(workflow_id)       | workflow_wiki | workflow_page_id | workflow_namespace | workflow_title_text   | workflow_type |
+------------------------+---------------+------------------+--------------------+-----------------------+---------------+
| 05411EE3701DD8B4CB5040 | zhwiki        |          5061696 |                  3 | Nbfreeh               | discussion    |
| 05411EE69B539A7D841E15 | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 0541590D11F202BFEBA0A7 | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 05417388D77A7DB4A162C9 | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 0541CCD4F8523988385748 | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 0541DA166F148666EFE1FB | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 05420358DAE66137A4B48A | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 05423BA63FB906E9E075E2 | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 0542954AC13CD0BB1E0BB8 | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 054324525A2BF537897CE7 | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 0543750ADAD5D1CE39D167 | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 0543852753904A239EF20B | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 0543AC9137E09CCB6DB8C0 | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 0543B507488BBCFF49634B | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 0544473C7315F0ED1E09B4 | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 0544B39816DA1AA9127C61 | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 0544D81A2CB391B345458C | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 054535C5B9D4BC3FB95771 | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 054564BA9CF8C48DF8FC88 | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 0545B3262A72ECB5126100 | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 0545D61EBE34351F5505A7 | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 0545DA330B073DCE191139 | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 0545F64CA809C34C47B425 | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 05466DD09665190EE2F5C4 | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 054686574F43898AE377E5 | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 054717375A66BD7F8AC7B2 | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 054718EA8C6F3C9F9A9C62 | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 05478D66DDEBBD52E0B7E8 | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 0548071E633C6EDFC1D5FF | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 05488758CC82AEF74D573C | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 0548C682DA54338DF8FC88 | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 054902425D63C510E62106 | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 05491A57B774764CBD04DE | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 054957846E7390B70B7654 | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 0549A36ABDBB11DC9A371F | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 0549E69D1CB4302595332E | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 054A6D229B5A2B5F5077F9 | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 054A7A921BE5F9FF49634B | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 054A83C914A9CEC59C1012 | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 054AD43242A9C13FB95771 | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 054AE291471DC13FB95771 | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 054AEF8FB2DE1210E62106 | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 054AF1F123E39BA7A91BD3 | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 054B08FF86783D8AE377E5 | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 054B66387A6FE06F3BC6E4 | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 054B6640C73B1BDFC1D5FF | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 054B666B81683119917A1A | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 054B6C3A53C63936944A08 | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 054B6D131C46F096A9540C | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 054B6DAF699D2A93DBFE64 | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 054B768EEC5A94DC9A371F | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 054B96E04B9E5A35DA5AFC | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 054BA6D034684C660E6CB8 | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 054BE6A977D59BCB6DB8C0 | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 054C0AF5E81AB74CBD04DE | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 054C28DFBD592A838C57C7 | zhwiki        |          5061696 |                  3 | Nbfreeh/Flow_存档_1   | topic         |
| 054C49AD2A67ECEBF65D66 | zhwiki        |          5061696 |                  3 | Nbfreeh/Flow_存档_1   | topic         |
+------------------------+---------------+------------------+--------------------+-----------------------+---------------+
57 rows in set (0.14 sec)

That should have been:

SELECT HEX(workflow_id), workflow_wiki, workflow_page_id, workflow_namespace, workflow_title_text, workflow_type FROM flow_workflow WHERE workflow_wiki = 'zhwiki' AND workflow_page_id = 5061696 OR (workflow_namespace = 3 AND workflow_title_text = 'Nbfreeh/Flow_存档_1') LIMIT 100

It's the same output, though, since they all have the right page ID.

There is an other Flow board that was apparently deleted earlier. This shouldn't cause any problems, though:

mysql:research@x1-analytics-slave [flowdb]> SELECT HEX(workflow_id), workflow_wiki, workflow_page_id, workflow_namespace, workflow_title_text, workflow_type FROM flow_workflow WHERE workflow_wiki = 'zhwiki' AND workflow_page_id = 5061696 OR (workflow_namespace = 3 AND workflow_title_text = 'Nbfreeh/Flow_存档_1') OR (workflow_namespace = 3 AND workflow_title_text = 'Nbfreeh') LIMIT 100
    -> ;
+------------------------+---------------+------------------+--------------------+-----------------------+---------------+
| HEX(workflow_id)       | workflow_wiki | workflow_page_id | workflow_namespace | workflow_title_text   | workflow_type |
+------------------------+---------------+------------------+--------------------+-----------------------+---------------+
| 05411EE3701DD8B4CB5040 | zhwiki        |          5061696 |                  3 | Nbfreeh               | discussion    |
| 05411EE69B539A7D841E15 | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 0541590D11F202BFEBA0A7 | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 05417388D77A7DB4A162C9 | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 0541CCD4F8523988385748 | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 0541DA166F148666EFE1FB | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 05420358DAE66137A4B48A | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 05423BA63FB906E9E075E2 | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 0542954AC13CD0BB1E0BB8 | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 054324525A2BF537897CE7 | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 0543750ADAD5D1CE39D167 | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 0543852753904A239EF20B | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 0543AC9137E09CCB6DB8C0 | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 0543B507488BBCFF49634B | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 0544473C7315F0ED1E09B4 | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 0544B39816DA1AA9127C61 | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 0544D81A2CB391B345458C | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 054535C5B9D4BC3FB95771 | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 054564BA9CF8C48DF8FC88 | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 0545B3262A72ECB5126100 | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 0545D61EBE34351F5505A7 | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 0545DA330B073DCE191139 | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 0545F64CA809C34C47B425 | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 05466DD09665190EE2F5C4 | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 054686574F43898AE377E5 | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 054717375A66BD7F8AC7B2 | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 054718EA8C6F3C9F9A9C62 | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 05478D66DDEBBD52E0B7E8 | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 0548071E633C6EDFC1D5FF | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 05488758CC82AEF74D573C | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 0548C682DA54338DF8FC88 | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 054902425D63C510E62106 | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 05491A57B774764CBD04DE | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 054957846E7390B70B7654 | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 0549A36ABDBB11DC9A371F | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 0549E69D1CB4302595332E | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 054A6D229B5A2B5F5077F9 | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 054A7A921BE5F9FF49634B | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 054A83C914A9CEC59C1012 | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 054AD43242A9C13FB95771 | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 054AE291471DC13FB95771 | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 054AEF8FB2DE1210E62106 | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 054AF1F123E39BA7A91BD3 | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 054B08FF86783D8AE377E5 | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 054B66387A6FE06F3BC6E4 | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 054B6640C73B1BDFC1D5FF | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 054B666B81683119917A1A | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 054B6C3A53C63936944A08 | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 054B6D131C46F096A9540C | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 054B6DAF699D2A93DBFE64 | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 054B768EEC5A94DC9A371F | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 054B96E04B9E5A35DA5AFC | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 054BA6D034684C660E6CB8 | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 054BE6A977D59BCB6DB8C0 | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 054C0AF5E81AB74CBD04DE | zhwiki        |          5061696 |                  3 | Nbfreeh               | topic         |
| 054C1BC3C52859FEF01CF4 | zhwiki        |          5242488 |                  3 | Nbfreeh               | discussion    |
| 054C28DFBD592A838C57C7 | zhwiki        |          5061696 |                  3 | Nbfreeh/Flow_存档_1   | topic         |
| 054C49AD2A67ECEBF65D66 | zhwiki        |          5061696 |                  3 | Nbfreeh/Flow_存档_1   | topic         |
+------------------------+---------------+------------------+--------------------+-----------------------+---------------+
58 rows in set (0.16 sec)

Mentioned in SAL [2016-03-04T22:29:22Z] <matt_flaschen> Ran P2709 against DB manually to work around T127693

Worked around manually with P2709. Page no longer has an error.

@Trizek-WMF Please try the move again.

I've ask permission to Nbfreeh to move his page.

I've tried to move "User talk:Nbfreeh/Flow 存档 1" to "User talk:Nbfreeh". I get that message:

You do not have permission to move this page, for the following reasons:
A page of that name already exists, or the name you have chosen is not valid. Please choose another name.
Page already exists at destination, so a Flow board can not be moved there.

I guessed Flow board move rights should let user with that role to delete and replace pages.

However, when the targeted page has been deleted, it has been possible to move the Board. You can close the task, @Mattflaschen!

Mattflaschen-WMF added a comment.EditedMar 8 2016, 5:58 PM

I've tried to move "User talk:Nbfreeh/Flow 存档 1" to "User talk:Nbfreeh". I get that message:

You do not have permission to move this page, for the following reasons:
A page of that name already exists, or the name you have chosen is not valid. Please choose another name.
Page already exists at destination, so a Flow board can not be moved there.

I guessed Flow board move rights should let user with that role to delete and replace pages.

However, when the targeted page has been deleted, it has been possible to move the Board. You can close the task, @Mattflaschen!

I'm glad the better error handling worked well this time.

I don't think flow-create-board itself should grant deletion, but it might be reasonable for the global-flow-create group to include it. You could request it for https://meta.wikimedia.org/wiki/Special:GlobalGroupPermissions/global-flow-create .

In T127693#2099676, @Mattflaschen wrote:

I don't think flow-create-board itself should grant deletion, but it might be reasonable for the global-flow-create group to include it. You could request it for https://meta.wikimedia.org/wiki/Special:GlobalGroupPermissions/global-flow-create .

Will do!

However, when the targeted page has been deleted, it has been possible to move the Board. You can close the task, @Mattflaschen!

It was an oversight that we didn't move this to QA.

Checked move pages/Flow boards on zh.wikipedia.beta.wmflabs.org; also checked the case with moving sub-pages.

'move' was added to https://meta.wikimedia.org/wiki/Special:GlobalGroupPermissions/global-flow-create.

11:35, 3 March 2016 MarcoAurelio (talk | contribs) changed global group permissions for Special:GlobalUsers/global-flow-create: added move; removed (none) (per request from WMF: https://meta.wikimedia.org/?diff=15404343)

jmatazzoni closed this task as Resolved.Apr 12 2016, 6:22 PM
Restricted Application added a subscriber: Cosine02. · View Herald TranscriptOct 26 2016, 11:08 PM